Package org.springframework.beans.factory.config

# Class EmbeddedValueResolver

java.lang.Object
org.springframework.beans.factory.config.EmbeddedValueResolver

All Implemented Interfaces:
  `org.springframework.util.StringValueResolver`

public class EmbeddedValueResolver extends Object implements org.springframework.util.StringValueResolver
`StringValueResolver` adapter for resolving placeholders and expressions against a `ConfigurableBeanFactory`.

Note that this adapter resolves expressions as well, in contrast to the `ConfigurableBeanFactory.resolveEmbeddedValue(java.lang.String)` method. The `BeanExpressionContext` used is for the plain bean factory, with no scope specified for any contextual objects to access.

Since:
  4.3
Author:
  Juergen Hoeller
See Also:
  - `ConfigurableBeanFactory.resolveEmbeddedValue(String)`
  - `ConfigurableBeanFactory.getBeanExpressionResolver()`
  - `BeanExpressionContext`

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedValueResolver(ConfigurableBeanFactory beanFactory)`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveStringValue(String strVal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedValueResolver

public EmbeddedValueResolver(ConfigurableBeanFactory beanFactory)

## Method Details

### resolveStringValue

@Nullable public String resolveStringValue(String strVal)

Specified by:
  `resolveStringValue` in interface `org.springframework.util.StringValueResolver`